commit 407f7db92238942377b39744f715de82f489a342
Author: Josh Kupershmidt <schmiddy@gmail.com>
Date:   Tue Jan 8 19:37:47 2013 -0700

    Get rid of pg_dump's README, since it was largely full of outdated
    and incorrect information. Move the few notes which were still relevant
    into header comments of pg_backup_tar.c and pg_dumpall.c.

diff --git a/src/bin/pg_dump/README b/src/bin/pg_dump/README
deleted file mode 100644
index 5015b7c..0000000
--- a/src/bin/pg_dump/README
+++ /dev/null
@@ -1,78 +0,0 @@
-src/bin/pg_dump/README
-
-Notes on pg_dump
-================
-
-1. pg_dump, by default, still outputs text files.
-
-2. pg_dumpall forces all pg_dump output to be text, since it also outputs text into the same output stream.
-
-3. The plain text output format cannot be used as input into pg_restore.
-
-
-To dump a database into the new custom format, type:
-
-    pg_dump <db-name> -Fc > <backup-file>
-
-or, to dump in TAR format
-
-	pg_dump <db-name> -Ft > <backup-file>
-
-To restore, try
-
-   To list contents:
-
-       pg_restore -l <backup-file> | less
-
-   or to list tables:
-
-       pg_restore <backup-file> --table | less
-
-   or to list in a different order
-
-       pg_restore <backup-file> -l --oid --rearrange | less
-
-Once you are happy with the list, just remove the '-l', and an SQL script will be output.
-
-
-You can also dump a listing:
-
-       pg_restore -l <backup-file> > toc.lis
-  or
-       pg_restore -l <backup-file> -f toc.lis
-
-edit it, and rearrange the lines (or delete some):
-
-    vi toc.lis
-
-then use it to restore selected items:
-
-    pg_restore <backup-file> --use=toc.lis -l | less
-
-When you like the list, type
-
-    pg_restore backup.bck --use=toc.lis > script.sql
-
-or, simply:
-
-    createdb newdbname
-    pg_restore backup.bck --use=toc.lis | psql newdbname
-
-
-TAR
-===
-
-The TAR archive that pg_dump creates currently has a blank username & group for the files,
-but should be otherwise valid. It also includes a 'restore.sql' script which is there for
-the benefit of humans. The script is never used by pg_restore.
-
-Note: the TAR format archive can only be used as input into pg_restore if it is in TAR form.
-(ie. you should not extract the files then expect pg_restore to work).
-
-You can extract, edit, and tar the files again, and it should work, but the 'toc'
-file should go at the start, the data files be in the order they are used, and
-the BLOB files at the end.
-
-
-Philip Warner, 16-Jul-2000
-pjw@rhyme.com.au
diff --git a/src/bin/pg_dump/pg_backup_tar.c b/src/bin/pg_dump/pg_backup_tar.c
index 5e56070..d090612 100644
--- a/src/bin/pg_dump/pg_backup_tar.c
+++ b/src/bin/pg_dump/pg_backup_tar.c
@@ -5,11 +5,14 @@
  *	This file is copied from the 'files' format file, but dumps data into
  *	one temp file then sends it to the output TAR archive.
  *
+ *	The tar format also includes a 'restore.sql' script which is there for
+ *	the benefit of humans. This script is never used by pg_restore.
+ *
  *	NOTE: If you untar the created 'tar' file, the resulting files are
  *	compatible with the 'directory' format. Please keep the two formats in
  *	sync.
  *
- *	See the headers to pg_backup_files & pg_restore for more details.
+ *	See the headers to pg_backup_directory & pg_restore for more details.
  *
  * Copyright (c) 2000, Philip Warner
  *		Rights are granted to use this software in any way so long
diff --git a/src/bin/pg_dump/pg_dumpall.c b/src/bin/pg_dump/pg_dumpall.c
index 9d3ff55..0662bc2 100644
--- a/src/bin/pg_dump/pg_dumpall.c
+++ b/src/bin/pg_dump/pg_dumpall.c
@@ -5,6 +5,8 @@
  * Portions Copyright (c) 1996-2013, PostgreSQL Global Development Group
  * Portions Copyright (c) 1994, Regents of the University of California
  *
+ * pg_dumpall forces all pg_dump output to be text, since it also outputs
+ * text into the same output stream.
  *
  * src/bin/pg_dump/pg_dumpall.c
  *
